Summary: 	ACPI/APM Event Daemon
Name: 		acpid_apmd
Version: 	1.0.6_3.22
Release: 	1
License: 	GPLv2+
Group: 		System
Source0: 	acpid-1.0.6.tar.gz
Source1:	apmd-3.2.2.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
For newer h/w.
acpid is a daemon that dispatches ACPI events to user-space programs.

For older h/w.
apmd is a daemon that dispatches APM events to user-space programs.

%prep
%setup -q -n acpid* -a 1

%build
make; cd apm*;make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/{acpi/events,acpi/actions}
make INSTPREFIX=$RPM_BUILD_ROOT install
cd apm*; make DESTDIR=$RPM_BUILD_ROOT install
cp apmd_proxy $RPM_BUILD_ROOT/etc/
mv $RPM_BUILD_ROOT/usr/share/man $RPM_BUILD_ROOT/usr/
mkdir -p $RPM_BUILD_ROOT/usr/man/man1; rm *fr*.1
cp *.1 $RPM_BUILD_ROOT/usr/man/man1/
cp *.8 $RPM_BUILD_ROOT/usr/man/man8/
rmdir $RPM_BUILD_ROOT/usr/share

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README Changelog TODO apm*/apmsleep.README
/*
